Skip to main content
PATCH
Update a package source

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

name
string
required

Package source name.

Body

application/json
index_url
string | null
ca_cert_pem
string | null

Empty string removes the certificate.

enabled
boolean | null
is_default
boolean | null

Response

Successful Response

name
string
required
kind
enum<string>
required
Available options:
pypi,
mirror,
preinstalled
enabled
boolean
required
is_default
boolean
required
description
string
required
index_url
string | null
ca_cert_pem
string | null